Subject: Re: [Netconf] Breakout room Diamond 1 - for EOM discussion today, 5pm ***Beijing time.

From: Phil Shafer <[email-masked]>
Date: Fri, 12 Nov 2010 08:33:56 -0500

Andy Bierman writes:
>We are not really concerned with XML attributes in NETCONF content
>because we are standardizing on YANG, and YANG does not allow them.

YANG is a modeling language for NETCONF, but that doesn't mean
that suddenly all NETCONF traffic must abide by YANG's rules.

>There is only 1 place in the entire protocol where a client could
>possibly provide an XML attribute and that is in the <rpc> element.

This is not correct.  The "value" and "key" attributes contain text
matching user-defined data.  Are you wanting to add a new restriction
saying one can't make data values that contain our secret EOM marker?

There's also "anyxml", which I guess we could define in -bis as
"any xml except our EOM marker".

Thanks,
 Phil